#ifndef ACCOUNTS_H
#define ACCOUNTS_H
#include <glib.h>
#include <gtk/gtk.h>
#include "blog-plugin.h"

enum Fields {
	FIELD_URL = 0,
	FIELD_USER,
	FIELD_PASSWORD,
	FIELD_PLUGIN,
	FIELD_COUNT
};

void account_name(GtkTreeViewColumn *tree_column,
		GtkCellRenderer *cell,
		GtkTreeModel *tree_model,
		GtkTreeIter *iter,
		gpointer data);
GtkListStore *accounts_load(BlogPlugin **plugins);
void accounts_save(GtkListStore *accounts);
gboolean accounts_dialog(GtkWindow *parent,
		GtkListStore *accounts,
		BlogPlugin **plugins);
gboolean model_has_data(GtkTreeModel *model);

#endif
